
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("basedata_uplinescancarlist")]
    public class BasedataUplinescancarlist
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        /// <summary>
        /// 任务订单号
        /// </summary>
        [Column("MaterialNo")]
        public string materialno { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        [Column("carcode")]
        public string carcode { get; set; }

        [Column("site_id")]
        public Guid? siteId { get; set; }

        /// <summary>
        /// 站台编号
        /// </summary>
        [Column("SiteNo")]
        public string siteno { get; set; }

        /// <summary>
        /// 任务号
        /// </summary>
        [Column("task_no")]
        public Guid? taskNo { get; set; }

        /// <summary>
        /// 完成状态
        /// </summary>
        [Column("Number")]
        public int? number { get; set; }

        /// <summary>
        /// 单据状态
        /// </summary>
        [Column("isover")]
        public int? isover { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

